zlacrm.f(3)

NAME
zlacrm.f -

SYNOPSIS

  Functions/Subroutines
subroutine ZLACRM (M, N, A, LDA, B, LDB, C, LDC, RWORK)
ZLACRM

Function/Subroutine Documentation

  subroutine ZLACRM (INTEGERM, INTEGERN, COMPLEX*16, dimension( lda, * )A, INTEGERLDA, DOUBLE PRECISION, dimension( ldb, * )B, INTEGERLDB, COMPLEX*16, dimension( ldc, * )C, INTEGERLDC, DOUBLE PRECISION, dimension( * )RWORK)

ZLACRM

Purpose:

     ZLACRM performs a very simple matrix-matrix multiplication:
              C := A * B,
     where A is M by N and complex; B is N by N and real;
     C is M by N and complex.

Parameters:
    M

              M is INTEGER
              The number of rows of the matrix A and of the matrix C.
              M >= 0.

    N

              N is INTEGER
              The number of columns and rows of the matrix B and
              the number of columns of the matrix C.
              N >= 0.

    A

              A is COMPLEX*16 array, dimension (LDA, N)
              A contains the M by N matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A. LDA >=max(1,M).

    B

              B is DOUBLE PRECISION array, dimension (LDB, N)
              B contains the N by N matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B. LDB >=max(1,N).

    C

              C is COMPLEX*16 array, dimension (LDC, N)
              C contains the M by N matrix C.

    LDC

              LDC is INTEGER
              The leading dimension of the array C. LDC >=max(1,N).

    RWORK

              RWORK is DOUBLE PRECISION array, dimension (2*M*N)

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 115 of file zlacrm.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.